Next Step Product List

About This Product
Microsoft
Where can I download the software needed to use FreeWorld powered by Excite?
The program can either be copied to your computer or a floppy or you can install it right now to your computer and get started with your free internet access.
To Install:

Just Click The Button Intsall Free Internet Service and it will begin installation. All the steps below will walk through everything you need to get connected!

On the "Install Screen" window, click "OK."

On the "Installation Complete" window, click "OK" again.

Dial Up and Login
The software automatically created a FreeWorld by Excite icon on your desktop, the screen that appears when you log in to Windows. Double-click on the FreeWorld by Excite icon on your desktop:

Enter a location name in the "Location Name:" window and select your connection type and device. You may select any installed modem or TCP/IP (LAN) connection. If you selected an installed modem, click "Next" and proceed to step 4.

You may select "TCP/IP direct (LAN)" to use the FreeWorld powered by Excite over your existing Internet Connection. If you select TCP/IP direct, click "Finish" and proceed.

Enter your area code and the first three digits of your phone number. This helps us find phone numbers in your area code6.

Click the boxes to the left of "Dial" to insert special prefixes or suffixes when dialing. Edit the prefixes or suffixes in the adjoining window. Click "Next."

Highlight a phone number in the left window. Click "Add" to add it to your phone list. Repeat this for all other numbers that are local numbers from your area. Selecting as many numbers as possible increases your chances of connecting. Click "Next."

NOTE: You are responsible for any long-distance telephone charges incurred while dialing into FreeWorld powered by Excite. Please check with your local phone company to ensure that you are not making long-distance calls.

This window displays the final numbers that will be dialed. You must check the box at the bottom to indicate that you have read the warning regarding long distance charges. Click "FINISH."

If you have not yet registered for FreeWorld powered by Excite, select "Create A New Account" and click "Connect." This will allow you to dial in and register. If you have already registered for FreeWorld powered by Excite, enter your Excite Member name and password. Click "Connect." Your modem will dial into the system. After login is successful, your web browser will open and the FreeWorld system will appear. You can now begin surfing the web for free.